#include    <intuition/intuition.h>
#include    "execdef.h"
#include    "intuidef.h"
#include    "loadrecord.h"
#include    "windowinfo.h"

#include    "DrawScaleReferenceLines.proto"

#include    <graphics/proto.h>

void
DrawScaleReferenceLines(window, record, xleft)
    Window *window;
    LoadRecord *record;
    short   xleft;
{
    WindowInfo *window_info;
    register short y, deltay, moduloy;

    /* Draw scale reference lines from xleft to rightedge. */

    window_info = WINDOWINFO(window);
    SetAPen(window->RPort, record->ref_pen_num);
    xleft += window_info->leftedge;
    deltay = record->deltay;
    moduloy = record->moduloy;
    for (y = window_info->height; (y -= deltay) > 0;)
    {
	if (moduloy-- > 0)
	    y--;
	Move(window->RPort, xleft, y);
	Draw(window->RPort, window_info->rightedge, y);
    }
}
