#include    <intuition/intuition.h>
#include    <devices/load.h>
#include    "intuidef.h"
#include    "execdef.h"
#include    "windowinfo.h"
#include    "loadrecord.h"

#include    "PrintRecordTypes.proto"

#include    "PrintMessage.proto"

static char *recordTypeNames[] = {
		    "CPU",
		    "Blitter",
		    "Chip",
		    "Fast",
		    "Memory"
};

void
PrintRecordTypes(window)
    Window *window;
{
    LoadRecord *record;
    short line_num;

    line_num = 1;
    for (record = (LoadRecord *)WINDOWINFO(window)->loadrecords.mlh_TailPred;
	 record->node.mln_Pred;
	 record = (LoadRecord *)record->node.mln_Pred)
    {
	PrintMessage(window, recordTypeNames[record->type], line_num, record->data_pen_num);
	line_num++;
    }
}
