/* asktask.h */
/*************************************************************************
 ***                       AskTask Header File                         ***
 *** Date begun: 1/4/89.                                               ***
 *** Last modified: 2/4/89.                                            ***
 *************************************************************************/

#include <exec/types.h>
#include <exec/execbase.h>
#include <exec/tasks.h>

#include <intuition/intuition.h>
#include <proto/intuition.h>
#include <proto/graphics.h>
#include <proto/exec.h>
#include <proto/dos.h>

#include <stdio.h>
#include <string.h>

#define NUM_TASKS   30      /* Max num of tasks I will handle */
#define TNAMESIZE   40      /* Task names on average 40 characters max */
#define ENDNORMAL   3

#define G_REFRESH   1
#define G_REF_TASK  2
#define G_CHANGE_P  3
#define G_REMOVE    4
#define G_HELP      5
#define G_QUIT      6
#define G_NEXTPAGE  7
#define G_PREVPAGE  8
#define G_SETSIG    9
#define G_EXITTASK  10
