
static USHORT ImageData1[] = {
	0xFFFC,0xC7E0,0xC7E0,0xC7E0,0xFFFC,0xDFF8,0xCFF0,0xC7E0,
	0xC3C0,0xC180,0xC000,0x0000,0x07E0,0x07E0,0x07E0,0x3FFC,
	0x1FF8,0x0FF0,0x07E0,0x03C0,0x0180,0x0000
};

static struct Image Image1 = {
	0,0,	/* XY origin relative to container TopLeft */
	14,11,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData1,	/* pointer to ImageData */
	0x0003,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

static struct Gadget Gadget3 = {
	NULL,	/* next gadget */
	-15,-19,	/* origin XY of hit box relative to window TopLeft */
	14,11,	/* hit box width and height */
	GADGIMAGE+GRELBOTTOM+GRELRIGHT,	/* gadget flags */
	RELVERIFY,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	GAD_DOWN,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

static USHORT ImageData2[] = {
	0xC000,0xC180,0xC3C0,0xC7E0,0xCFF0,0xDFF8,0xFFFC,0xC7E0,
	0xC7E0,0xC7E0,0xFFFC,0x0000,0x0180,0x03C0,0x07E0,0x0FF0,
	0x1FF8,0x3FFC,0x07E0,0x07E0,0x07E0,0x0000
};

static struct Image Image2 = {
	0,0,	/* XY origin relative to container TopLeft */
	14,11,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData2,	/* pointer to ImageData */
	0x0003,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

static struct Gadget Gadget2 = {
	&Gadget3,	/* next gadget */
	-15,10,	/* origin XY of hit box relative to window TopLeft */
	14,11,	/* hit box width and height */
	GADGIMAGE+GRELRIGHT,	/* gadget flags */
	RELVERIFY,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image2,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	GAD_UP,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

static struct PropInfo Gadget1SInfo = {
	AUTOKNOB+FREEVERT,	/* PropInfo flags */
	-1,0,	/* horizontal and vertical pot values */
	1310,1,	/* horizontal and vertical body values */
};

static struct Image Image3 = {
	0,0,	/* XY origin relative to container TopLeft */
	8,4,	/* Image width and height in pixels */
	0,	/* number of bitplanes in Image */
	NULL,	/* pointer to ImageData */
	0x0000,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

static struct Gadget Gadget1 = {
	&Gadget2,	/* next gadget */
	-15,20,	/* origin XY of hit box relative to window TopLeft */
	16,-39,	/* hit box width and height */
	GADGHBOX+GADGHIMAGE+GRELRIGHT+GRELHEIGHT,	/* gadget flags */
	RELVERIFY,	/* activation flags */
	PROPGADGET,	/* gadget type flags */
	(APTR)&Image3,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	(APTR)&Gadget1SInfo,	/* SpecialInfo structure */
	GAD_SLIDER,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

#define GadgetList1 Gadget1

static struct TextAttr TOPAZ80 = {
	(STRPTR)"topaz.font",
	TOPAZ_EIGHTY,0,0
};
static struct IntuiText IText1 = {
	0,0,JAM1,	/* front and back text pens, drawmode and fill byte */
	272,52,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	" ",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IntuiTextList1 IText1

static struct NewWindow NewWindowStructure1 = {
	0,17,	/* window XY origin relative to TopLeft of screen */
	640,150,	/* window width and height */
	0,1,	/* detail and block pens */
	NULL,	/* IDCMP flags */
	WINDOWSIZING+WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,	/* other window flags */
	&Gadget1,	/* first gadget in gadget list */
	NULL,	/* custom CHECKMARK imagery */
	"Help Window",	/* window title */
	NULL,	/* custom screen pointer */
	NULL,	/* custom bitmap */
	20,50,	/* minimum width and height */
	-1,-1,	/* maximum width and height */
	WBENCHSCREEN	/* destination screen type */
};
