/*
 *  Source generated with GadToolsBox V1.4
 *  which is (c) Copyright 1991,92 Jaba Development
 */

#include <exec/types.h>
#include <intuition/intuition.h>
#include <intuition/classes.h>
#include <intuition/classusr.h>
#include <intuition/imageclass.h>
#include <intuition/gadgetclass.h>
#include <libraries/gadtools.h>
#include <graphics/displayinfo.h>
#include <graphics/gfxbase.h>
#include <clib/exec_protos.h>
#include <clib/intuition_protos.h>
#include <clib/gadtools_protos.h>
#include <clib/graphics_protos.h>
#include <clib/utility_protos.h>
#include <string.h>

#include <pragmas/exec_pragmas.h>
#include <pragmas/intuition_pragmas.h>
#include <pragmas/gadtools_pragmas.h>
#include <pragmas/graphics_pragmas.h>
#include <pragmas/utility_pragmas.h>

#include "window.h"

struct Screen         *Scr = NULL;
APTR                   VisualInfo = NULL;
struct Window         *TaskYWnd = NULL;
struct Gadget         *TaskYGList = NULL;
UWORD                  TaskYZoom[4];
struct Gadget         *TaskYGadgets[12];
UWORD                  TaskYLeft = 0;
UWORD                  TaskYTop = 11;
UWORD                  TaskYWidth = 296;
UWORD                  TaskYHeight = 145;
UBYTE                 *TaskYWdt = (UBYTE *)"TaskY 1.0";

struct TextAttr topaz8 = {
    ( STRPTR )"topaz.font", 8, 0x00, 0x00 };

UWORD TaskYGTypes[] = {
    LISTVIEW_KIND,
    BUTTON_KIND,
    BUTTON_KIND,
    BUTTON_KIND,
    BUTTON_KIND,
    BUTTON_KIND,
    BUTTON_KIND,
    INTEGER_KIND,
    BUTTON_KIND,
    BUTTON_KIND,
    BUTTON_KIND,
    BUTTON_KIND
};

struct NewGadget TaskYNGad[] = {
    5, 2, 276, 112, NULL, NULL, GD_ListView, 0 ,NULL, NULL,
    153, 115, 25, 13, (UBYTE *)"-5", NULL, GD_MinusFive, PLACETEXT_IN ,NULL, NULL,
    179, 115, 25, 13, (UBYTE *)"-1", NULL, GD_MinusOne, PLACETEXT_IN ,NULL, NULL,
    205, 115, 25, 13, (UBYTE *)"0", NULL, GD_Zero, PLACETEXT_IN ,NULL, NULL,
    231, 115, 25, 13, (UBYTE *)"1", NULL, GD_PlusOne, PLACETEXT_IN ,NULL, NULL,
    257, 115, 25, 13, (UBYTE *)"5", NULL, GD_PlusFive, PLACETEXT_IN ,NULL, NULL,
    5, 129, 277, 12, (UBYTE *)"_Update", NULL, GD_Update, PLACETEXT_IN ,NULL, NULL,
    110, 115, 41, 13, NULL, NULL, GD_Pri, 0 ,NULL, NULL,
    5, 115, 25, 13, (UBYTE *)"^C", NULL, GD_SigC, PLACETEXT_IN ,NULL, NULL,
    31, 115, 25, 13, (UBYTE *)"^D", NULL, GD_SigD, PLACETEXT_IN ,NULL, NULL,
    57, 115, 25, 13, (UBYTE *)"^E", NULL, GD_SigE, PLACETEXT_IN ,NULL, NULL,
    83, 115, 25, 13, (UBYTE *)"^F", NULL, GD_SigF, PLACETEXT_IN ,NULL, NULL
};

ULONG TaskYGTags[] = {
    (GTLV_ShowSelected), NULL, (TAG_DONE),
    (TAG_DONE),
    (TAG_DONE),
    (TAG_DONE),
    (TAG_DONE),
    (TAG_DONE),
    (GT_Underscore), '_', (TAG_DONE),
    (GTIN_Number), 0, (GTIN_MaxChars), 10, (TAG_DONE),
    (TAG_DONE),
    (TAG_DONE),
    (TAG_DONE),
    (TAG_DONE)
};

int SetupScreen( void )
{
    if ( ! ( Scr = LockPubScreen((UBYTE * )"Workbench" )))
        return( 1L );

    if ( ! ( VisualInfo = GetVisualInfo( Scr, TAG_DONE )))
        return( 2L );

    return( 0L );
}

void CloseDownScreen( void )
{
    if ( VisualInfo ) {
        FreeVisualInfo( VisualInfo );
        VisualInfo = NULL;
    }

    if ( Scr        ) {
        UnlockPubScreen( NULL, Scr );
        Scr = NULL;
    }
}

int OpenTaskYWindow( void )
{
    struct NewGadget     ng;
    struct Gadget       *g;
    UWORD                lc, tc;
    UWORD                offx = Scr->WBorLeft,offy = Scr->WBorTop + Scr->RastPort.TxHeight + 1;

    if ( ! ( g = CreateContext( &TaskYGList )))
        return( 1L );

    for( lc = 0, tc = 0; lc < TaskY_CNT; lc++ ) {

        CopyMem((char * )&TaskYNGad[ lc ], (char * )&ng, (long)sizeof( struct NewGadget ));

        ng.ng_VisualInfo = VisualInfo;
        ng.ng_TextAttr   = &topaz8;
        ng.ng_LeftEdge  += offx;
        ng.ng_TopEdge   += offy;

        TaskYGadgets[ lc ] = g = CreateGadgetA((ULONG)TaskYGTypes[ lc ], g, &ng, ( struct TagItem * )&TaskYGTags[ tc ] );

        while( TaskYGTags[ tc ] ) tc += 2;
        tc++;

        if ( NOT g )
        return( 2L );
    }

    if ( TaskYWdt )
        TaskYZoom[2] = TextLength( &Scr->RastPort, (UBYTE *)TaskYWdt, strlen((char *)TaskYWdt )) + 80;
    else
        TaskYZoom[2]  = 80L;
        TaskYZoom[0] = TaskYZoom[1] = 0;
        TaskYZoom[3] = Scr->WBorTop + Scr->RastPort.TxHeight + 1;

    if ( ! ( TaskYWnd = OpenWindowTags( NULL,
                    WA_Left,          TaskYLeft,
                    WA_Top,           TaskYTop,
                    WA_Width,         TaskYWidth,
                    WA_Height,        TaskYHeight + offy,
                    WA_IDCMP,         LISTVIEWIDCMP|BUTTONIDCMP|INTEGERIDCMP|IDCMP_CLOSEWINDOW|IDCMP_VANILLAKEY|IDCMP_CHANGEWINDOW|IDCMP_REFRESHWINDOW,
                    WA_Flags,         WFLG_DRAGBAR|WFLG_DEPTHGADGET|WFLG_CLOSEGADGET|WFLG_SMART_REFRESH|WFLG_ACTIVATE,
                    WA_Gadgets,       TaskYGList,
                    WA_Title,         TaskYWdt,
                    WA_Zoom,          TaskYZoom,
		    WA_AutoAdjust,    TRUE,
                    TAG_DONE )))
        return( 4L );

    TaskYZoom[0] = TaskYWnd->LeftEdge;
    TaskYZoom[1] = TaskYWnd->TopEdge;
    TaskYZoom[2] = TaskYWnd->Width;
    TaskYZoom[3] = TaskYWnd->Height;

    GT_RefreshWindow( TaskYWnd, NULL );

    return( 0L );
}

void CloseTaskYWindow( void )
{
    if ( TaskYWnd        ) {
        CloseWindow( TaskYWnd );
        TaskYWnd = NULL;
    }

    if ( TaskYGList      ) {
        FreeGadgets( TaskYGList );
        TaskYGList = NULL;
    }
}

