#define CPU	0
#define BLITTER 1
#define CHIPMEM 2
#define FASTMEM 3
#define ALLMEM	4

typedef long LoadDataValue;

typedef struct {
    MinNode node;
    LoadDataValue  *start_data;   /* (fixed) Beginning of data array. */
    LoadDataValue  *end_data;	  /* (fixed) End of data array. */
    LoadDataValue  *next_data;	  /* Where next data will go. */
    LoadDataValue  *max_data;	  /* Where the max data value is. */
    short scale;
    long  scaled_ticks;
    short deltay;
    short moduloy;
    unsigned char type; 	  /* CPU, Blitter, Memory, Chip, Fast */
    unsigned char data_pen_num;
    unsigned char ref_pen_num;
} LoadRecord;
