/* at_gadg.c */
/*************************************************************************
 ***                    AskTask Gadgets Module                         ***
 *** Date begun: 1/4/89.                                               ***
 *** Last modified: 2/4/89.                                            ***
 *************************************************************************/

#include "asktask.h"

static WORD bdata[10] = {0,0, 75,0, 75,12, 0,12, 0,0};

static struct Border bd1 = {0,0,2,0,JAM1,5,&bdata[0],NULL};
static struct Border bd2 = {1,0,2,0,JAM1,5,&bdata[0],&bd1};

static struct IntuiText reftext = {1,0,JAM1,10,3,NULL,"REFRESH",NULL};
static struct IntuiText rfttext = {1,0,JAM1,6,3,NULL,"REF TASK",NULL};
static struct IntuiText cprtext = {3,0,JAM1,6,3,NULL,"PRIORITY",NULL};
static struct IntuiText remtext = {3,0,JAM1,6,3,NULL,"REM TASK",NULL};
static struct IntuiText hlptext = {1,0,JAM1,22,3,NULL,"HELP",NULL};
static struct IntuiText esctext = {2,0,JAM1,14,3,NULL,"ESCAPE",NULL};
static struct IntuiText nxptext = {1,0,JAM1,6,3,NULL,"NEXTPAGE",NULL};
static struct IntuiText pvptext = {1,0,JAM1,6,3,NULL,"PREVPAGE",NULL};
static struct IntuiText ststext = {3,0,JAM1,14,3,NULL,"SIGNAL",NULL};
static struct IntuiText exttext = {3,0,JAM1,14,3,NULL,"EXIT()",NULL};

static struct Gadget    refgadg = {
    NULL,478,13,77,13,GADGHCOMP,RELVERIFY,BOOLGADGET,(APTR)&bd2,NULL,
    &reftext,NULL,NULL,G_REFRESH,NULL};
static struct Gadget    rftgadg = {
    &refgadg,478,29,77,13,GADGHCOMP,RELVERIFY,BOOLGADGET,(APTR)&bd2,NULL,
    &rfttext,NULL,NULL,G_REF_TASK,NULL};
static struct Gadget    cprgadg = {
    &rftgadg,558,61,77,13,GADGHCOMP,RELVERIFY,BOOLGADGET,(APTR)&bd2,NULL,
    &cprtext,NULL,NULL,G_CHANGE_P,NULL};
static struct Gadget    remgadg = {
    &cprgadg,558,29,77,13,GADGHCOMP,RELVERIFY,BOOLGADGET,(APTR)&bd2,NULL,
    &remtext,NULL,NULL,G_REMOVE,NULL};
static struct Gadget    hlpgadg = {
    &remgadg,478,77,77,13,GADGHCOMP,RELVERIFY,BOOLGADGET,(APTR)&bd2,NULL,
    &hlptext,NULL,NULL,G_HELP,NULL};
static struct Gadget    escgadg = {
    &hlpgadg,558,13,77,13,GADGHCOMP,RELVERIFY,BOOLGADGET,(APTR)&bd2,NULL,
    &esctext,NULL,NULL,G_QUIT,NULL};
static struct Gadget    nxpgadg = {
    &escgadg,478,61,77,13,GADGHCOMP,RELVERIFY,BOOLGADGET,(APTR)&bd2,NULL,
    &nxptext,NULL,NULL,G_NEXTPAGE,NULL};
static struct Gadget    pvpgadg = {
    &nxpgadg,478,45,77,13,GADGHCOMP,RELVERIFY,BOOLGADGET,(APTR)&bd2,NULL,
    &pvptext,NULL,NULL,G_PREVPAGE,NULL};
static struct Gadget    stsgadg = {
    &pvpgadg,558,77,77,13,GADGHCOMP,RELVERIFY,BOOLGADGET,(APTR)&bd2,NULL,
    &ststext,NULL,NULL,G_SETSIG,NULL};
static struct Gadget    extgadg = {
    &stsgadg,558,45,77,13,GADGHCOMP,RELVERIFY,BOOLGADGET,(APTR)&bd2,NULL,
    &exttext,NULL,NULL,G_EXITTASK,NULL};

struct Gadget   *firstgadg = &extgadg;
