/* at_help.c */
/*************************************************************************
 ***          AskTask Supplementary File - HELP/ABOUT module           ***
 *** Date begun: 1/4/89.                                               ***
 *** Last modified: 2/4/89.                                            ***
 *************************************************************************/

#include "asktask.h"

static struct IntuiText pageline = {1,2,JAM1,0,0,NULL,NULL,NULL};
static char *helpdata[13] = {
    "ESC  - terminate.",
    "",
    "F1   - Refresh the task list.",
    "F2   - Refresh this box's data.",
    "F5   - Exit() task.",
    "F6   - RemTask() current task.",
    "F7   - Change task signal bits.",
    "F8   - Change task priority.",
    "F10  - About AskTask.",
    "CSRU - Previous task page.",
    "CSRD - Next task page.",
    "HELP - this information.",
    "   (There are no menu options)"};
static char *aboutdata[13] = {
    "",
    "  AskTask - version dated 02/4/89.",
    "                 by",
    "            JJB TEMPLAR.",
    "",
    "",
    "             J.Bickers,",
    "             214 Rata St,",
    "             Naenae.",
    "",
    "",
    "",
    "      (Freely redistributable)"};

extern struct Window    *Window;
extern void putmessage(char *,int);

void    help();
void    about();
static void page(char *,char **);

static void page(title,data) /*==========================================*/
char    *title,**data;
{
int     i,x,y;
    putmessage("",1);
    SetAPen(Window->RPort,2);
    RectFill(Window->RPort,168,10,471,132);
    SetAPen(Window->RPort,1);
    Move(Window->RPort,170,19);     Draw(Window->RPort,469,19);
    pageline.IText = title; pageline.FrontPen = 3;
    x = 319 - (IntuiTextLength(&pageline)/2);
    PrintIText(Window->RPort,&pageline,x,11);
    i = 0;      pageline.FrontPen = 1;
    for (y = 29; y < 133; y+=8) {
        pageline.IText = data[i++];
        PrintIText(Window->RPort,&pageline,170,y);
    }
}

void    help() /*========================================================*/
{
    page("Help Information",&helpdata[0]);
}

void    about() /*=======================================================*/
{
    page("About AskTask",&aboutdata[0]);
}
