/**************************************
*  TIMER.H  08/04/90
*  Written by Timm Martin
*  This source code is public domain.
***************************************/

#ifndef TIMER_H
#define TIMER_H

#ifndef EXEC_PORTS_H
#include <exec/ports.h>
#endif

#define MICROS_PER_SEC 1000000L

extern struct MsgPort *timer_port;

extern void timer_abort(void);
extern void timer_close(void);
extern BOOL timer_open(void);
extern void timer_start(long micros);
extern BOOL timer_test(void);
extern void timer_wait(long micros);

#endif
