
static SHORT BorderVectors1[] = {
   0,0,
   52,0,
   52,18,
   0,18,
   0,0
};
static struct Border Border1 = {
   -1,-1,   /* XY origin relative to container TopLeft */
   3,0,JAM1,   /* front pen, back pen and drawmode */
   5,   /* number of XY vectors */
   BorderVectors1,   /* pointer to XY vectors */
   NULL   /* next border in list */
};

static struct IntuiText IText1 = {
   3,0,JAM2,   /* front and back text pens, drawmode and fill byte */
   2,5,   /* XY origin relative to container TopLeft */
   NULL,   /* font pointer or NULL for default */
   "CANCEL",   /* pointer to text */
   NULL   /* next IntuiText structure */
};

static struct Gadget BLCAN = {
   NULL,   /* next gadget */
   204,80,   /* origin XY of hit box relative to window TopLeft */
   51,17,   /* hit box width and height */
   NULL,   /* gadget flags */
   RELVERIFY,   /* activation flags */
   BOOLGADGET+REQGADGET,   /* gadget type flags */
   (APTR)&Border1,   /* gadget border or image to be rendered */
   NULL,   /* alternate imagery for selection */
   &IText1,   /* first IntuiText structure */
   NULL,   /* gadget mutual-exclude long word */
   NULL,   /* SpecialInfo structure */
   GAD_BLCAN,   /* user-definable data */
   NULL   /* pointer to user-definable data */
};

static SHORT BorderVectors2[] = {
   0,0,
   52,0,
   52,18,
   0,18,
   0,0
};
static struct Border Border2 = {
   -1,-1,   /* XY origin relative to container TopLeft */
   3,0,JAM1,   /* front pen, back pen and drawmode */
   5,   /* number of XY vectors */
   BorderVectors2,   /* pointer to XY vectors */
   NULL   /* next border in list */
};

static struct IntuiText IText2 = {
   3,0,JAM2,   /* front and back text pens, drawmode and fill byte */
   19,5,   /* XY origin relative to container TopLeft */
   NULL,   /* font pointer or NULL for default */
   "OK",   /* pointer to text */
   NULL   /* next IntuiText structure */
};

static struct Gadget BLOK = {
   &BLCAN,   /* next gadget */
   51,79,   /* origin XY of hit box relative to window TopLeft */
   51,17,   /* hit box width and height */
   NULL,   /* gadget flags */
   RELVERIFY,   /* activation flags */
   BOOLGADGET+REQGADGET,   /* gadget type flags */
   (APTR)&Border2,   /* gadget border or image to be rendered */
   NULL,   /* alternate imagery for selection */
   &IText2,   /* first IntuiText structure */
   NULL,   /* gadget mutual-exclude long word */
   NULL,   /* SpecialInfo structure */
   GAD_BLOK,   /* user-definable data */
   NULL   /* pointer to user-definable data */
};

static UBYTE BUFLENSIBuff[50] =
   "256";
static struct StringInfo BUFLENSInfo = {
   BUFLENSIBuff,   /* buffer where text will be edited */
   NULL,   /* optional undo buffer */
   0,   /* character position in buffer */
   50,   /* maximum number of characters to allow */
   0,   /* first displayed character buffer position */
   0,0,0,0,0,   /* Intuition initialized and maintained variables */
   0,   /* Rastport of gadget */
   0,   /* initial value for integer gadgets */
   NULL   /* alternate keymap (fill in if you set the flag) */
};

static SHORT BorderVectors3[] = {
   0,0,
   217,0,
   217,10,
   0,10,
   0,0
};
static struct Border Border3 = {
   -1,-1,   /* XY origin relative to container TopLeft */
   3,0,JAM1,   /* front pen, back pen and drawmode */
   5,   /* number of XY vectors */
   BorderVectors3,   /* pointer to XY vectors */
   NULL   /* next border in list */
};

static struct IntuiText IText3 = {
   3,0,JAM2,   /* front and back text pens, drawmode and fill byte */
   23,-15,   /* XY origin relative to container TopLeft */
   NULL,   /* font pointer or NULL for default */
   "Buffer size in bytes:",   /* pointer to text */
   NULL   /* next IntuiText structure */
};

static struct Gadget BUFLEN = {
   &BLOK,   /* next gadget */
   50,46,   /* origin XY of hit box relative to window TopLeft */
   216,9,   /* hit box width and height */
   SELECTED,   /* gadget flags */
   RELVERIFY+STRINGCENTER+LONGINT,   /* activation flags */
   STRGADGET+REQGADGET,   /* gadget type flags */
   (APTR)&Border3,   /* gadget border or image to be rendered */
   NULL,   /* alternate imagery for selection */
   &IText3,   /* first IntuiText structure */
   NULL,   /* gadget mutual-exclude long word */
   (APTR)&BUFLENSInfo,   /* SpecialInfo structure */
   GAD_BUFLEN,   /* user-definable data */
   NULL   /* pointer to user-definable data */
};

#define GadgetList1 BUFLEN

static struct Requester RequesterStructure1 = {
   NULL,   /* previous requester (filled in by Intuition) */
   75,35,   /* requester XY origin relative to TopLeft of window */
   311,107,   /* requester width and height */
   0,0,   /* relative to these mouse offsets if POINTREL is set */
   &GadgetList1,   /* gadget list */
   NULL,   /* box's border */
   NULL,   /* requester text */
   NULL,   /* requester flags */
   1,   /* back-plane fill pen */
   NULL,   /* leave these alone */
   NULL,   /* custom bitmap if PREDRAWN is set */
   NULL   /* leave this alone */
};


/* end of PowerWindows source generation */
