#ifndef CLIB_SYSLOG_PROTOS_H
#define CLIB_SYSLOG_PROTOS_H
/*
**      $VER: syslog_protos.h 1.0 (19.10.95)
**      SysLog Release 1.0
**
**      C prototypes.
**
**      Copyright  1995 Petri Nordlund. All rights reserved.
**
**      $Id: syslog_protos.h 1.6 1995/11/01 19:13:25 petrin Exp petrin $
**
*/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef LIBRARIES_SYSLOG_H
#include <libraries/syslog.h>
#endif

void Log(LONG pri, LONG options, UBYTE *tag, UBYTE *message, LONG *argarray);

void DeleteSysLogMessage(struct SysLogMessage *msg);
void GetSysLogMsgTime(struct SysLogMessage *);

struct SysLogSpy *AddSysLogSpy(void);
void RemSysLogSpy(struct SysLogSpy *spy);

#endif /* CLIB_SYSLOG_PROTOS_H */
