#ifndef CLIB_SYSMON_PROTOS_H
#define	CLIB_SYSMON_PROTOS_H
/*
**	$VER: sysmon_protos.h 0.2 (11.02.95)
**
**	C prototypes. For use with 32 bit integers only.
**
**	(C) Copyright 1995 by Etienne Vogt
*/

#ifndef  EXEC_TYPES_H
#include <exec/types.h>
#endif

struct TaskInfo *smGetTaskInfo(struct Task *task);
BOOL smFreeze(struct Task *task);
BOOL smUnFreeze(struct Task *task);
BOOL smSleep(ULONG ticks);
VOID smVKPrintf(STRPTR format, APTR values);
APTR smVSPrintf(STRPTR buffer, STRPTR format, APTR values);
BOOL smVSysLog(ULONG priority, STRPTR format, APTR values);
struct TaskInfo *smFindTaskInfo(STRPTR name);
struct TaskInfo *smNextTaskInfo(struct TaskInfo *tinfo);
void smHalt(ULONG flags);

#endif	/* CLIB_SYSMON_PROTOS_H	*/
